<?php

if ( ! function_exists( 'leonie_core_include_blog_single_author_info_template' ) ) {
	/**
	 * Function which includes additional module on single posts page
	 */
	function leonie_core_include_blog_single_author_info_template() {
		if ( is_single() ) {
			include_once LEONIE_CORE_INC_PATH . '/blog/templates/single/author-info/templates/author-info.php';
		}
	}

	add_action( 'leonie_action_after_blog_post_item', 'leonie_core_include_blog_single_author_info_template', 15 );  // permission 15 is set to define template position
}

if ( ! function_exists( 'leonie_core_get_author_social_networks' ) ) {
	/**
	 * Function which includes author info templates on single posts page
	 */
	function leonie_core_get_author_social_networks( $user_id ) {
		$icons           = array();
		$social_networks = array(
			'FB' => 'facebook',
			'TW' => 'twitter',
			'LI' => 'linkedin',
			'IN' => 'instagram',
			'PT' => 'pinterest',
		);

		foreach ( $social_networks as $key => $network ) {
			$network_meta = get_the_author_meta( 'qodef_user_' . $network, $user_id );

			if ( ! empty( $network_meta ) ) {
				$$network = array(
					'url'   => $network_meta,
					'text'  => $key,
					'class' => 'qodef-user-social-' . $network,
				);

				$icons[ $network ] = $$network;
			}
		}

		return $icons;
	}
}
