<?php

if ( ! function_exists( 'leonie_core_add_blog_single_variation_image_full' ) ) {
	function leonie_core_add_blog_single_variation_image_full( $variations ) {
		$variations['image-full'] = esc_html__( 'Featured Image Full Width', 'leonie-core' );

		return $variations;
	}

	add_filter( 'leonie_core_filter_blog_single_layout_options', 'leonie_core_add_blog_single_variation_image_full' );
}

if ( ! function_exists( 'leonie_core_blog_single_image_full_top_part' ) ) {
	/**
	 * Function that return classes for the page inner div from header.php
	 *
	 * @return string
	 */
	function leonie_core_blog_single_image_full_top_part() {
		$template = leonie_core_get_post_value_through_levels( 'qodef_blog_single_post_template' );

		if ( is_singular( 'post' ) && 'image-full' === $template ) {
			leonie_core_template_part( 'blog/templates/single', 'variations/image-full/layout/top-part', '' );
		}
	}
	add_action( 'leonie_action_before_page_inner', 'leonie_core_blog_single_image_full_top_part' );
}

if ( ! function_exists( 'leonie_core_disable_page_title_for_blog_single_image_full' ) ) {
	/**
	 * Function that disable page title area for 404 page
	 *
	 * @param $enable_page_title bool
	 *
	 * @return bool
	 */
	function leonie_core_disable_page_title_for_blog_single_image_full( $enable_page_title ) {
		$template = leonie_core_get_post_value_through_levels( 'qodef_blog_single_post_template' );

		if ( is_singular( 'post' ) && 'image-full' === $template ) {
			$enable_page_title = false;
		}

		return $enable_page_title;
	}

	add_filter( 'leonie_filter_enable_page_title', 'leonie_core_disable_page_title_for_blog_single_image_full' );
}
