<?php

if ( ! function_exists( 'leonie_core_add_mobile_logo_options' ) ) {
	/**
	 * Function that add general options for this module
	 *
	 * @param object $page
	 * @param object $header_tab
	 */
	function leonie_core_add_mobile_logo_options( $page, $header_tab ) {

		if ( $page ) {

			$mobile_header_tab = $page->add_tab_element(
				array(
					'name'        => 'tab-mobile-header',
					'icon'        => 'fa fa-cog',
					'title'       => esc_html__( 'Mobile Header Logo Options', 'leonie-core' ),
					'description' => esc_html__( 'Set options for mobile headers', 'leonie-core' ),
				)
			);

			$mobile_header_tab->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_mobile_logo_height',
					'title'       => esc_html__( 'Mobile Logo Height', 'leonie-core' ),
					'description' => esc_html__( 'Enter mobile logo height', 'leonie-core' ),
					'args'        => array(
						'suffix' => esc_html__( 'px', 'leonie-core' ),
					),
				)
			);

			$mobile_header_tab->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_mobile_logo_padding',
					'title'       => esc_html__( 'Mobile Logo Padding', 'leonie-core' ),
					'description' => esc_html__( 'Enter mobile logo padding value (top right bottom left)', 'leonie-core' ),
				)
			);

			$mobile_header_tab->add_field_element(
				array(
					'field_type'    => 'image',
					'name'          => 'qodef_mobile_logo_main',
					'title'         => esc_html__( 'Mobile Logo - Main', 'leonie-core' ),
					'description'   => esc_html__( 'Choose main mobile logo image', 'leonie-core' ),
					'default_value' => defined( 'LEONIE_ASSETS_ROOT' ) ? LEONIE_ASSETS_ROOT . '/img/logo.png' : '',
					'multiple'      => 'no',
				)
			);

			do_action( 'leonie_core_action_after_mobile_logo_options_map', $page );
		}
	}

	add_action( 'leonie_core_action_after_header_logo_options_map', 'leonie_core_add_mobile_logo_options', 10, 2 );
}
