<?php

if ( ! class_exists( 'LeonieCore_WooCommerce_YITH_Quick_View' ) ) {
	class LeonieCore_WooCommerce_YITH_Quick_View {
		private static $instance;

		public function __construct() {

			if ( qode_framework_is_installed( 'yith-quick-view' ) ) {
				// Init
				add_action( 'init', array( $this, 'init' ), 15 );
			}
		}

		/**
		 * @return LeonieCore_WooCommerce_YITH_Quick_View
		 */
		public static function get_instance() {
			if ( is_null( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		function init() {

			// Unset default templates modules
			$this->unset_templates_modules();

			// Change default templates position
			$this->change_templates_position();

			// Override default templates
			$this->override_templates();
		}

		function unset_templates_modules() {
			// Remove button element on shop pages
			remove_action( 'woocommerce_after_shop_loop_item', array( YITH_WCQV_Frontend(), 'yith_add_quick_view_button' ), 15 );

			//Remove product meta and price
			remove_action( 'yith_wcqv_product_summary', 'woocommerce_template_single_meta', 30 );
			remove_action( 'yith_wcqv_product_summary', 'woocommerce_template_single_price', 15 );
			remove_action( 'yith_wcqv_product_image', 'woocommerce_show_product_sale_flash', 10 );
		}

		function change_templates_position() {
			// Add button element for shop pages
			add_action( 'leonie_action_product_list_item_additional_image_content', array( YITH_WCQV_Frontend(), 'yith_add_quick_view_button' ) );
			add_action( 'leonie_core_action_product_list_item_additional_image_content', array( YITH_WCQV_Frontend(), 'yith_add_quick_view_button' ) );

			//Add wishlist button
			add_action( 'yith_wcqv_product_summary', 'leonie_core_get_yith_wishlist_shortcode', 31 );

			// Change price position
			add_action( 'yith_wcqv_product_summary', 'woocommerce_template_single_price', 9 );
		}

		function override_templates() {

		}
	}

	LeonieCore_WooCommerce_YITH_Quick_View::get_instance();
}
