<?php

if ( ! function_exists( 'leonie_core_add_custom_font_widget' ) ) {
	/**
	 * Function that add widget into widgets list for registration
	 *
	 * @param array $widgets
	 *
	 * @return array
	 */
	function leonie_core_add_custom_font_widget( $widgets ) {
		$widgets[] = 'LeonieCore_Custom_Font_Widget';

		return $widgets;
	}

	add_filter( 'leonie_core_filter_register_widgets', 'leonie_core_add_custom_font_widget' );
}

if ( class_exists( 'QodeFrameworkWidget' ) ) {
	class LeonieCore_Custom_Font_Widget extends QodeFrameworkWidget {

		public function map_widget() {
			$widget_mapped = $this->import_shortcode_options(
				array(
					'shortcode_base' => 'leonie_core_custom_font',
				)
			);
			if ( $widget_mapped ) {
				$this->set_base( 'leonie_core_custom_font' );
				$this->set_name( esc_html__( 'Leonie Custom Font', 'leonie-core' ) );
				$this->set_description( esc_html__( 'Add a custom font element into widget areas', 'leonie-core' ) );
			}
		}

		public function render( $atts ) {
			$params = $this->generate_string_params( $atts );

			echo do_shortcode( "[leonie_core_custom_font $params]" ); // XSS OK
		}
	}
}
