<?php

if ( ! function_exists( 'leonie_core_add_icon_widget' ) ) {
	/**
	 * Function that add widget into widgets list for registration
	 *
	 * @param array $widgets
	 *
	 * @return array
	 */
	function leonie_core_add_icon_widget( $widgets ) {
		$widgets[] = 'LeonieCore_Icon_Widget';

		return $widgets;
	}

	add_filter( 'leonie_core_filter_register_widgets', 'leonie_core_add_icon_widget' );
}

if ( class_exists( 'QodeFrameworkWidget' ) ) {
	class LeonieCore_Icon_Widget extends QodeFrameworkWidget {

		public function map_widget() {
			$widget_mapped = $this->import_shortcode_options(
				array(
					'shortcode_base' => 'leonie_core_icon',
				)
			);

			if ( $widget_mapped ) {
				$this->set_base( 'leonie_core_icon' );
				$this->set_name( esc_html__( 'Leonie Icon', 'leonie-core' ) );
				$this->set_description( esc_html__( 'Add a icon element into widget areas', 'leonie-core' ) );
			}
		}

		public function render( $atts ) {

			$params = $this->generate_string_params( $atts );

			echo do_shortcode( "[leonie_core_icon $params]" ); // XSS OK
		}
	}
}
