<?php

if ( ! function_exists( 'leonie_core_add_social_share_widget' ) ) {
	/**
	 * Function that add widget into widgets list for registration
	 *
	 * @param array $widgets
	 *
	 * @return array
	 */
	function leonie_core_add_social_share_widget( $widgets ) {
		$widgets[] = 'LeonieCore_Social_Share_Widget';

		return $widgets;
	}

	add_filter( 'leonie_core_filter_register_widgets', 'leonie_core_add_social_share_widget' );
}

if ( class_exists( 'QodeFrameworkWidget' ) ) {
	class LeonieCore_Social_Share_Widget extends QodeFrameworkWidget {

		public function map_widget() {
			$widget_mapped = $this->import_shortcode_options(
				array(
					'shortcode_base' => 'leonie_core_social_share',
				)
			);

			if ( $widget_mapped ) {
				$this->set_base( 'leonie_core_social_share' );
				$this->set_name( esc_html__( 'Leonie Social Share', 'leonie-core' ) );
				$this->set_description( esc_html__( 'Add a social share element into widget areas', 'leonie-core' ) );
			}
		}

		public function render( $atts ) {
			$params = $this->generate_string_params( $atts );

			echo do_shortcode( "[leonie_core_social_share $params]" ); // XSS OK
		}
	}
}
