(function ($) {
    "use strict";

    $( document ).ready(
        function () {
            qodefLeonieSpinner.init();
        }
    );

    $( window ).on(
        'load',
        function () {
            setTimeout(
                function () {
                    qodefLeonieSpinner.windowLoaded = true;
                }, 1000
            );
        }
    );

    $( window ).on(
        'elementor/frontend/init',
        function() {
            var isEditMode = Boolean( elementorFrontend.isEditMode() );

            if ( isEditMode ) {
                qodefLeonieSpinner.init( isEditMode );
            }
        }
    );

    var qodefLeonieSpinner = {
        init: function ( isEditMode ) {
            var $holder = $('#qodef-page-spinner.qodef-layout--leonie');

            if ( $holder.length ) {
                if ( isEditMode ) {
                    qodefLeonieSpinner.fadeOutLoader( $holder );
                } else {
                    qodefLeonieSpinner.splitText( $holder );
                }
            }
        },
        splitText: function ( $holder ) {
            let $textHolder = $holder.find('.qodef-m-text');

            if ( $textHolder.length ) {
                let text  = $textHolder.text(),
                    chars = text.split("");

                for ( let i = 0; i < chars.length; i++ ) {
                    chars[i] = '<span class="qodef-m-char">' + chars[i] + '</span>';
                    text     = chars.join(" ");
                }

                $textHolder.html(text);

                setTimeout(
                    function () {
                        qodefLeonieSpinner.animateSpinner( $holder );
                    }, 300
                );
            }
        },
        animateSpinner: function ( $holder ) {
            $holder.addClass('qodef--init');

            function animationLoop ( animationProps ) {
                let $chars      = $holder.find('.qodef-m-char'),
                    charsLength = $chars.length - 1;

                if ( $chars.length ) {
                    $chars.each(
                        function (i) {
                            let $thisChar = $( this );

                            setTimeout(
                                function () {
                                    $thisChar.fadeTo( animationProps.fadeDuration, animationProps.fadeToVal,
                                        () => {
                                            if ( i === charsLength ) {
                                                if ( 1 === animationProps.fadeToVal ) {
                                                    animationLoop({
                                                        fadeToVal: 0,
                                                        fadeDuration: 1200,
                                                        fadeStagger: 160,
                                                    });
                                                } else {
                                                    if ( !qodefLeonieSpinner.windowLoaded ) {
                                                        animationLoop({
                                                            fadeToVal: 1,
                                                            fadeDuration: 1800,
                                                            fadeStagger: 0,
                                                        });
                                                    } else {
                                                        $chars.fadeTo( 1800, 1, () => {
                                                            $holder.addClass('qodef--end');
                                                            qodefLeonieSpinner.fadeOutLoader( $holder, 600, 1000, 'swing');
                                                        });

                                                        setTimeout(
                                                            function () {
                                                                let $revSlider = $('#qodef-main-rev rs-module');

                                                                if ( $revSlider.length ) {
                                                                    $revSlider.revstart();
                                                                }
                                                            }, 3000
                                                        );
                                                    }
                                                }
                                            }
                                        }
                                    );
                                }, i * animationProps.fadeStagger
                            );
                        }
                    );
                }
            }

            setTimeout(
                function () {
                    animationLoop({
                        fadeToVal: 1,
                        fadeDuration: 1800,
                        fadeStagger: 0,
                    });
                }, 300
            );
        },
        fadeOutLoader: function ( $holder, speed, delay, easing ) {
            speed = speed ? speed : 500;
            delay = delay ? delay : 0;
            easing = easing ? easing : 'swing';

            if ( $holder.length ) {
                $holder.delay(delay).fadeOut(speed, easing);

                $(window).on(
                    'bind', 'pageshow',
                    function ( event ) {
                        if ( event.originalEvent.persisted ) {
                            $holder.fadeOut(speed, easing);
                        }
                    }
                );
            }
        }
    };

})(jQuery);