<?php

if ( ! function_exists( 'leonie_core_add_leonie_spinner_layout_option' ) ) {
    /**
     * Function that set new value into page spinner layout options map
     *
     * @param array $layouts - module layouts
     *
     * @return array
     */
    function leonie_core_add_leonie_spinner_layout_option( $layouts ) {
        $layouts['leonie'] = esc_html__( 'Leonie', 'leonie-core' );

        return $layouts;
    }

    add_filter( 'leonie_core_filter_page_spinner_layout_options', 'leonie_core_add_leonie_spinner_layout_option' );
}

if ( ! function_exists( 'leonie_core_set_leonie_spinner_layout_as_default_option' ) ) {
    /**
     * Function that set default value for page spinner layout options map
     *
     * @param string $default_value
     *
     * @return string
     */
    function leonie_core_set_leonie_spinner_layout_as_default_option( $default_value ) {
        return 'leonie';
    }

    add_filter( 'leonie_core_filter_page_spinner_default_layout_option', 'leonie_core_set_leonie_spinner_layout_as_default_option' );
}
