<?php

if ( ! function_exists( 'leonie_core_add_working_hours_list_widget' ) ) {
	/**
	 * Function that add widget into widgets list for registration
	 *
	 * @param array $widgets
	 *
	 * @return array
	 */
	function leonie_core_add_working_hours_list_widget( $widgets ) {
		$widgets[] = 'LeonieCore_Working_Hours_List_Widget';

		return $widgets;
	}

	add_filter( 'leonie_core_filter_register_widgets', 'leonie_core_add_working_hours_list_widget' );
}

if ( class_exists( 'QodeFrameworkWidget' ) ) {
	class LeonieCore_Working_Hours_List_Widget extends QodeFrameworkWidget {

		public function map_widget() {
			$this->set_widget_option(
				array(
					'field_type' => 'text',
					'name'       => 'widget_title',
					'title'      => esc_html__( 'Title', 'leonie-core' ),
				)
			);
			$widget_mapped = $this->import_shortcode_options(
				array(
					'shortcode_base' => 'leonie_core_working_hours_list',
				)
			);
			if ( $widget_mapped ) {
				$this->set_base( 'leonie_core_working_hours_list' );
				$this->set_name( esc_html__( 'Leonie Working Hours List', 'leonie-core' ) );
				$this->set_description( esc_html__( 'Add a working hours list element into widget areas', 'leonie-core' ) );
			}
		}

		public function render( $atts ) {
			$params = $this->generate_string_params( $atts );

			echo do_shortcode( "[leonie_core_working_hours_list $params]" ); // XSS OK
		}
	}
}
